.PHONY: build clean tool lint help

all: build

build:
	@go build -v ./cmd/api
	@go build -v ./cmd/parser
	@mv api build/
	@mv parser build/
	@cp -r conf build/

tool:
	go vet ./...; true
	gofmt -w .

lint:
	golint ./...

clean:
	rm -rf chain33-pai
	go clean -i .

help:
	@echo "make: compile packages and dependencies"
	@echo "make tool: run specified go tool"
	@echo "make lint: golint ./..."
	@echo "make clean: remove object files and cached files"
